<form [formGroup]="actionStepFormGroup">
  <div class="m-t-5 header-color">
    {{ 'sqtm-core.entity.test-step.action.singular' | translate }}
  </div>
  <div class="block-border m-t-10 m-l-10 p-l-10">
    <sqtm-core-rich-text-field
      [reducedHeight]="true"
      [initialFocus]="true"
      [formGroup]="actionStepFormGroup"
      [fieldName]="'action'"
    >
    </sqtm-core-rich-text-field>
  </div>
  <div class="m-t-15 header-color">
    {{ 'sqtm-core.entity.test-step.expected-result.label' | translate }}
  </div>
  <div class="block-border m-t-10 m-l-10 p-l-10">
    <sqtm-core-rich-text-field
      [reducedHeight]="true"
      [formGroup]="actionStepFormGroup"
      [fieldName]="'expectedResult'"
    >
    </sqtm-core-rich-text-field>
  </div>
  <div class="m-t-15 m-b-5 header-color">
    {{ 'sqtm-core.entity.custom-field.label.plural' | translate }}
  </div>
  <div class="full-width block-border m-t-10 m-l-10 p-l-10">
    <sqtm-core-custom-field-form
      [customFields]="customFields"
      [parentFormGroup]="actionStepFormGroup"
    >
    </sqtm-core-custom-field-form>
  </div>
</form>
